Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.security
Class RoleSecurityBinding

    java.lang.Object
      org.jboss.portal.security.RoleSecurityBinding

All Implemented Interfaces:
  java.io.Serializable

    public class RoleSecurityBinding

extends java.lang.Object
implements java.io.Serializable

Binds a role and a set of actions together. This object is immutable.

A portal resource (portal, page, window, instance, portlet...) is secured via a set of security constraints. each security constraint holds the information about what roles are allowed what actions.

Version:
  $Revision: 8784 $
Author:
  Martin Holzner, Julien Viet
See Also:
  Serialized Form

Constructor Summary
`RoleSecurityBinding(RoleSecurityBinding other)` Copy constructor.
`RoleSecurityBinding(java.util.Set actions, java.lang.String role)` Create a new constraint with the provided actions and the specified role.
`RoleSecurityBinding(java.lang.String actions, java.lang.String role)` Create a new constraint with the provided actions for the specified role.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.util.Set` | `getActions()` Return a `java.util.Set` of allowed actions.
`java.lang.String` | `getActionsAsString()` Return a comma separated list of actions.
`java.lang.String` | `getRoleName()` Return the role of this constraint
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoleSecurityBinding

    public RoleSecurityBinding(java.lang.String actions,
                               java.lang.String role)

  Create a new constraint with the provided actions for the specified role.

  Parameters:
    `actions` - a comma separated list of allowed actions
    `role` - the role name

### RoleSecurityBinding

    public RoleSecurityBinding(java.util.Set actions,
                               java.lang.String role)

  Create a new constraint with the provided actions and the specified role.

  Parameters:
    `actions` - the set of actions
    `role` - the role name

### RoleSecurityBinding

    public RoleSecurityBinding(RoleSecurityBinding other)

  Copy constructor.

Method Detail

### getActions

    public java.util.Set getActions()

  Return a `java.util.Set` of allowed actions.

  Returns:
    the action set

### getRoleName

    public java.lang.String getRoleName()

  Return the role of this constraint

  Returns:
    the role

### getActionsAsString

    public java.lang.String getActionsAsString()

  Return a comma separated list of actions.

  Returns:
    the action string representation

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD